%global pname     sudoku
%global vardir    %(vdr-config --vardir     2>/dev/null || echo ERROR)
%global plugindir %(vdr-config --plugindir  2>/dev/null || echo ERROR)
%global vdr_user  %(vdr-config --user       2>/dev/null || echo ERROR)
%global apiver    %(vdr-config --apiversion 2>/dev/null || echo ERROR)
%global __provides_exclude_from ^%{plugindir}/

Name:           vdr-%{pname}
Version:        0.3.5
Release:        3%{?dist}
Summary:        Sudoku plugin for VDR

Group:          Amusements/Games
License:        GPLv2+
URL:            http://www.toms-cafe.de/vdr/sudoku/
Source0:        http://projects.vdr-developer.org/attachments/download/280/%{name}-%{version}.tgz
Source1:        %{name}.conf
Patch0:         %{name}-0.3.0-vardir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  vdr-devel >= 1.6.0
BuildRequires:  gettext
BuildRequires:  cxxtest
Requires:       vdr(abi)%{?_isa} = %{apiver}

%description
This is a VDR plugin to generate and solve number place puzzles, so
called Sudokus.


%prep
%setup -q -n sudoku-%{version}
sed -e 's|@PLUGINVARDIR@|%{vardir}/%{pname}|g' %{PATCH0} | patch -p1


%build
make %{?_smp_mflags} LIBDIR=. LOCALEDIR=./locale VDRDIR=%{_libdir}/vdr all
# "make all" builds tools with unwanted CXXFLAGS
make %{?_smp_mflags} -C tools CXXFLAGS="$RPM_OPT_FLAGS -Woverloaded-virtual" \
   clean all


%install
rm -rf $RPM_BUILD_ROOT

install -dm 755 $RPM_BUILD_ROOT%{plugindir}
install -pm 755 libvdr-%{pname}.so.%{apiver} $RPM_BUILD_ROOT%{plugindir}

install -dm 755 $RPM_BUILD_ROOT%{_datadir}/locale
cp -pR locale/* $RPM_BUILD_ROOT%{_datadir}/locale
%find_lang %{name}

install -Dpm 644 %{SOURCE1} \
  $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}.conf

install -dm 755 $RPM_BUILD_ROOT%{vardir}/%{pname}
cat /dev/null >$RPM_BUILD_ROOT%{vardir}/%{pname}/sudoku-list

make -C tools DESTDIR=$RPM_BUILD_ROOT prefix=%{_prefix} install


%check
make tests


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,%{vdr_user},root,-)
%dir %{vardir}/%{pname}/
%ghost %config(noreplace) %{vardir}/%{pname}/sudoku-list
%defattr(-,root,root,-)
%doc CONTRIBUTORS COPYING HISTORY README
%config(noreplace) %{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}.conf
%{plugindir}/libvdr-%{pname}.so.%{apiver}
%{_bindir}/sudoku_generator
%{_mandir}/man1/sudoku_generator.1*


%changelog
* Thu Mar  3 2011 Ville Skyttä <ville.skytta@iki.fi> - 0.3.5-3
- Filter autogenerated plugin lib Provides (rpmbuild >= 4.9).

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Apr  6 2010 Ville Skyttä <ville.skytta@iki.fi> - 0.3.5-1
- Update to 0.3.5.

* Mon Aug 10 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.3.4-4
- Use ISA qualified dependency to vdr(abi).
- Use %%global instead of %%define.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Nov 30 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.3.4-1
- 0.3.4.

* Sun Nov 23 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.3.3-1
- 0.3.3.
- Include sudoku_generator in package.

* Sun Sep 28 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.3.2-1
- 0.3.2.

* Sat Aug 30 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.3.1-1
- 0.3.1, Finnish patch applied upstream.

* Sun Jul 27 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.3.0-1
- 0.3.0.
- Patch to add missing Finnish translations.
- Fix translation file ownerships.

* Mon Apr  7 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.2.1-2
- Rebuild for VDR 1.6.0.

* Sun Apr  6 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.2.1-1
- 0.2.1, all non Fedora specific patches applied upstream.

* Tue Mar 25 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.2.0-2
- Apply upstream fix for OSD crash after exit.

* Sat Mar 22 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.2.0-1
- 0.2.0, license changed to GPLv2+.
- Patch to add missing Finnish translations.
- Patch to move saved sudoku list to /var/lib/vdr/sudoku.
- Patch to not use the "show possible numbers as pattern" option by default;
  the feature is unexpected and doesn't work properly with all OSD's.
- Patch to remove the "Exit" choice from the plugin's commands menu; it
  causes a crash when opening the OSD next time after exiting the plugin.
- Prepare for VDR 1.6.0+ build.

* Sat Feb 16 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.1.3-3
- Rebuild.

* Tue Aug  7 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.1.3-2
- License: GPL+

* Sat Feb 24 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.1.3-1
- 0.1.3.

* Sun Jan  7 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.1.2-2
- Rebuild for VDR 1.4.5.

* Mon Dec  4 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.1.2-1
- First Fedora Extras build.

* Sat Nov  4 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.1.2-0.6
- Rebuild for VDR 1.4.4.

* Sat Sep 23 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.1.2-0.5
- Rebuild for VDR 1.4.3.

* Sun Aug  6 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.1.2-0.4
- Rebuild for VDR 1.4.1-3.

* Fri Jun 23 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.1.2-0.3
- Rebuild for VDR 1.4.1.

* Sun Apr 30 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.1.2-0.2
- Rebuild for VDR 1.4.0.

* Tue Apr 25 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.1.2-0.1
- 0.1.2.

* Fri Nov  4 2005 Ville Skyttä <ville.skytta@iki.fi> - 0.1.1-0.1
- 0.1.1, Finnish patch applied upstream.

* Tue Nov  1 2005 Ville Skyttä <ville.skytta@iki.fi> - 0.1.0-0.2
- Rebuild for VDR 1.3.35.

* Sat Oct 29 2005 Ville Skyttä <ville.skytta@iki.fi> - 0.1.0-0.1
- First build.
